> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/enablement-services/graphql-api.md).

# GraphQL API Reference

## GraphQL API Reference

For an automatically generated API Reference, check out our auto-generated [GraphQL Docs](/enablement-services/enablement_gql_ref.md) !

## GraphQL Playground

To run queries and mutations against our sandbox environment, we have a [GraphQL playground](https://api.bloomplus.dev/v2/gql/playground).

The playground includes an "explorer" tab (folder icon on the left) that allows click-through building of GraphQL queries for the enablement services API. Once the schema is loaded, the explorer is an efficient way of exploring data in enablement services API.

To load the schema, include a user or organization session token in the headers:

1. See the [Enablement Services Authentication](/enablement-services/enablement-services-getting-started/enablement-services-authentication.md) page for instructions on obtaining a token.
2. Click the headers button at the bottom of the explorer. Add the access token you received from the bloom api in the format `{"authorization": "bearer YOUR_ACCESS_TOKEN_HERE"}`
3. Click the refresh button (circling arrows) at the bottom left of the explorer.
4. To be able to run user-scoped queries & mutations, include a user scoped access token. The same applies for organization scoped access.
   1. See the GraphQL API Reference section to determine authorization scopes for specific operations.

## GraphQL API Endpoint

Our GraphQL API is available with the following URLS, based on environment:

| Development                        | Production                         |
| ---------------------------------- | ---------------------------------- |
| `https://api.bloomplus.dev/v2/gql` | `https://api.bloomplus.com/v2/gql` |

All `mutations`/`queries` require some form of authentication. See the [Enablement Services Authentication](/enablement-services/enablement-services-getting-started/enablement-services-authentication.md) page for instructions on how to authenticate.

## Creating a user

Once you’ve created a user in your application and completed any necessary KYC checks, the next step is to create a corresponding user in our database. This can be done using the [registerUserOrganization](/enablement-services/enablement_gql_ref.md#mutation-registerorganizationuser) mutation. This mutation will return the user object as it’s stored in our system, including a unique `user_id`. Be sure to save this `user_id`—it’s required for authenticating and accessing additional queries and mutations in our API.

***

## Importing a Connection

After creating and authenticating your user or organization, the next step is to import the previously established aggregator connection. This allows our system to ingest and categorize transactions linked to that connection. To do this, use the [importConnections](/enablement-services/enablement_gql_ref.md#mutation-importconnections) mutation.

***

Additional `queries` can be found in our [API References](/enablement-services/enablement_gql_ref.md#group-operations-queries).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/enablement-services/graphql-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
